Bug 229316

Summary: [iOS] Fix and reenable several layout tests to account for the changes in rdar://80384564
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: HTML EditingAssignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: akeerthi, drousso, megan_gardner, thorton, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Tweak ChangeLog
none
Rebase on trunk ews-feeder: commit-queue-

Description Wenson Hsieh 2021-08-19 17:43:31 PDT
rdar://80384564 makes UIKit's text tap gesture recognizer no longer unconditionally clear the text selection.

This is going to bring back the bug that was fixed by https://trac.webkit.org/r264481 (and cause the layout test `editing/selection/iOS/hide-selection-after-tap-on-prevent-default-element.html` to fail). As such, we need to teach WebKit to clear in some scenarios where the text tap gesture would've previously kicked in (and caused us to clear the selection).
Comment 1 Wenson Hsieh 2021-08-20 09:50:33 PDT Comment hidden (obsolete)
Comment 2 Wenson Hsieh 2021-08-20 09:53:24 PDT Comment hidden (obsolete)
Comment 3 Wenson Hsieh 2021-08-22 12:03:39 PDT
Created attachment 436121 [details]
Rebase on trunk
Comment 4 EWS 2021-08-22 14:26:51 PDT
Committed r281420 (240810@main): <https://commits.webkit.org/240810@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436121 [details].
Comment 5 Radar WebKit Bug Importer 2021-08-22 14:27:17 PDT
<rdar://problem/82222205>